Package org.apache.sysds.runtime.matrix.data

## Class Pair<K,​V>

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.Pair<K,​V>

    public class Pair<K,​V>
    extends Object

### Constructor Summary

Constructors
`Pair()`
`Pair​(K k, V v)`

### Method Summary

All Methods Instance Methods Concrete Methods
`K` `getKey()`
`V` `getValue()`
`void` `set​(K k, V v)`
`void` `setKey​(K k)`
`void` `setValue​(V v)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Pair

    public Pair()

#### Pair

    public Pair​(K k,
                V v)

### Method Detail

#### setKey

    public void setKey​(K k)

#### setValue

    public void setValue​(V v)

#### set

    public void set​(K k,
                    V v)

#### getKey

    public K getKey()

#### getValue

    public V getValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`